<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attributes and Links</title>
	</head>
	<body>
		<!-- "id" attribute assigns a unique name identifier to an element. -->
		<h2 id="top">HTML Attributes</h2>
		<!-- align="" changes the alignment of an element -->
		<p align="center">
			<em>Modifiers of Elements' Behaviors</em>
		</p>

		<h2>HTML Images</h2>
		<p align="center">
			<!-- 
				&lt; and &gt; are "HTML Entities" used to include special characters into text.

				Use &lt; and &gt; instead of the actual brackets to get the HTML to reflect the brackets in the output. 
			-->
			<em>An image can be shown using &lt;img&gt; tag along with its <strong>src attribute.</strong></em>
		</p>

		<!-- 
			Add an image using an absolute link.
			For now, the image will behave as an inline element.
		 -->
		<a href="https://place-puppy.com/300x300">
			<img src="https://place-puppy.com/300x300">
		</a>

		<p>
		<!-- <code> tag is used to define a piece of computer code and display text in the browser.-->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>
		</p>

		<!-- Add an image using a relative link. Adding ./ at the beginning indicates we are in the current directory.

			(.) symbol refers to current directory
			(..) refers to one folder up
			(/) refers to accessing a diff directory/folder
		-->
		<img src="./images/zuitt.png">

		<p>
			<code>
				&lt;img src="./images/zuitt.png"&gt;
			</code>
		</p>

		<p>Valid image extensions are the following:</p>
		<!-- 
			In ol, type attribute is used to change the numbered points (default) to another ordered list type.

			Values for type attribute are: 1, A, a, i, I.

			You can set the numbering in descending order by adding the reversed attribute; will not swap the order of the contents

			For ul: disc, circle, square.
		-->
		<ol type="I" reversed>
			<li>png</li>
			<li>jpg/jpeg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>
		<!-- Notice that type="" has several options available, while reversed does not -->
		<br>
		<p>
			Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a>.

		<h2>HTML Links</h2>
		<!-- 
			<a> stands for anchor; <href> stands for hyperlink reference.
			Create a hyperlink element that redirects to a different page.

			"target" attribute defines where the link will be opened.
			"_blank" will be opened in a new tab.
		-->
		<h4>Absolute Link</h4>
		<a href="https://zuitt.co/" target="_blank">I'm a Hyperlink!</a>
		<br><br>
		<h4>Relative Link</h4>
		<p>Go to <a href="./link.html">link.html</a></p>
		<!-- Redirects to the HTML element with the id attribute whose value is equal to "top" -->
		<p>Go to <a href="#top">top</a></p>
	</body>
</html>